# dkim_dns_nslist()

[back to index]

SYNOPSIS |
    #include <dkim.h>
    DKIM_STAT dkim_dns_nslist(
    	DKIM_LIB *libopendkim,
            const char * nslist)
    );
Defines the set of nameservers to be used by the resolver.
DESCRIPTION |
Called When | `dkim_dns_nslist()` can be called at any time, but is presumably most useful prior to doing any DNS operations such as are done during `dkim_eoh()` when verifying.
ARGUMENTS |
Argument | Description
--- | ---
libopendkim | The library instantiation handle, returned by `dkim_init()`.
nslist | A null-terminated string containing a comma-separated list of nameserver IP addresses to be used.
RETURN VALUES | `DKIM_DNS_SUCCESS` -- successful operation `DKIM_DNS_ERROR` -- an error occurred
NOTES | None.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2012, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.